DBRecord
Keywords: uk.ac.ic.doc.automed.util.db.DBRecord class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.util.db
Class DBRecord

    java.lang.Object
      uk.ac.ic.doc.automed.util.db.DBRecord

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  DBRecordWithConstraints

    public class DBRecord

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected java.util.List` | `fields`
`protected java.util.Vector` | `row`

Constructor Summary
`DBRecord(java.util.List fields, java.util.Vector row)` The order of fields is the same as in a record

Method Summary
`double` | `getDoubleValue(java.lang.String columnName)`
`int` | `getIntegerValue(java.lang.String columnName)`
`java.lang.String` | `getStringValue(java.lang.String columnName)`
`java.lang.String` | `toString()` Print fields and values

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### fields

    protected java.util.List fields

### row

    protected java.util.Vector row

Constructor Detail

### DBRecord

    public DBRecord(java.util.List fields,
                    java.util.Vector row)

  The order of fields is the same as in a record

Method Detail

### getStringValue

    public java.lang.String getStringValue(java.lang.String columnName)
                                    throws NotFoundException

  Throws:
    `NotFoundException`

### getDoubleValue

    public double getDoubleValue(java.lang.String columnName)
                          throws NotFoundException

  Throws:
    `NotFoundException`

### getIntegerValue

    public int getIntegerValue(java.lang.String columnName)
                        throws NotFoundException

  Throws:
    `NotFoundException`

### toString

    public java.lang.String toString()

  Print fields and values

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD